org.apache.mina.statemachine.event

## Enum IoHandlerEvents

- java.lang.Object
- - java.lang.Enum<IoHandlerEvents>
  - - org.apache.mina.statemachine.event.IoHandlerEvents

- All Implemented Interfaces:
    Serializable, Comparable<IoHandlerEvents>

      public enum IoHandlerEvents
      extends Enum<IoHandlerEvents>

  Defines all possible MINA `IoHandler` events for use in `IoHandlerTransition` annotations.
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `EXCEPTION_CAUGHT`
    `MESSAGE_RECEIVED`
    `MESSAGE_SENT`
    `SESSION_CLOSED`
    `SESSION_CREATED`
    `SESSION_IDLE`
    `SESSION_OPENED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static IoHandlerEvents` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IoHandlerEvents[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ANY

          public static final IoHandlerEvents ANY

    - #### SESSION_CREATED

          public static final IoHandlerEvents SESSION_CREATED

    - #### SESSION_OPENED

          public static final IoHandlerEvents SESSION_OPENED

    - #### SESSION_CLOSED

          public static final IoHandlerEvents SESSION_CLOSED

    - #### SESSION_IDLE

          public static final IoHandlerEvents SESSION_IDLE

    - #### MESSAGE_RECEIVED

          public static final IoHandlerEvents MESSAGE_RECEIVED

    - #### MESSAGE_SENT

          public static final IoHandlerEvents MESSAGE_SENT

    - #### EXCEPTION_CAUGHT

          public static final IoHandlerEvents EXCEPTION_CAUGHT

  - ### Method Detail

    - #### values

          public static IoHandlerEvents[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IoHandlerEvents c : IoHandlerEvents.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IoHandlerEvents valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IoHandlerEvents>`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.